Messages
Get Message
Returns the requested message.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Unique identifier for the resource.
Format
uuidQuery Parameters
include?array<"attachments" | "external_attachments" | "from" | "to" | "cc" | "bcc" | "actions" | "reactions" | "translations" | "transcriptions" | "author" | "conversation" | "conversation.assignee">
Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_id": "string", "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2", "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459", "channel_type": "email", "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc", "reply_to_message_id": "7ee4bcf0-8f1b-4bb4-86b4-8565dd84787f", "is_inbound": true, "status": "answered", "timestamp": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z", "send_after": "2019-08-24T14:15:22Z", "subject": "string", "content": { "type": "root", "children": [ { "type": "text", "content": "string", "bold": true, "underline": true, "strikethrough": true, "italic": true } ], "style": { "color": "string", "fontSize": 0, "fontFamily": "string", "alignment": "left" } }, "footer": "string", "forwarded": true, "placeholder_values": [ "string" ], "attachments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "purpose": "media_library", "filename": "string", "type": "string", "size": -9007199254740991, "url": "http://example.com", "created_at": "2019-08-24T14:15:22Z" } ], "external_attachments": [ { "type": "string", "url": "string" } ], "from": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "full_name": "string", "handle": "string", "role": "bcc", "status": "answered", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598" } ], "to": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "full_name": "string", "handle": "string", "role": "bcc", "status": "answered", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598" } ], "cc": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "full_name": "string", "handle": "string", "role": "bcc", "status": "answered", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598" } ], "bcc": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "full_name": "string", "handle": "string", "role": "bcc", "status": "answered", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598" } ], "actions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "call_to_action", "subtype": "phone_number", "text": "string", "data": "string", "index": -9007199254740991, "clicked": true } ], "reactions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "emoji": "string", "external_id": "string", "recipient_id": "b6731cb5-d462-49ea-afb8-7933b670b560", "created_at": "2019-08-24T14:15:22Z" } ], "translations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "locale": "string", "translation": "string", "created_at": "2019-08-24T14:15:22Z" } ], "transcriptions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "transcription": "string", "created_at": "2019-08-24T14:15:22Z" } ], "author": { "type": "employee", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "conversation": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_id": "string", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459", "channel_type": "email", "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2", "status": "archived", "subject": "string", "unread": true, "is_spam": true, "latest_activity_created_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "assignee": { "type": "employee", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }}